// detect.h

#ifndef _DETECT_H_
#define _DETECT_H_

#define NUMCARS 2

// So werden global gltige Variablen definiert, oher mit komplizierten 
// Zugriffsfunktionen herumzuhampeln und trotzdem besteht keine Verwechslungsgefahr.
typedef struct 
{
  int    sensitivity;	// Empfindlichkeit, muss zwischen 2 und 14 liegen
  double mintime;  // Mindestrundenzeit (falls jemand Kreise um die Ziellinie fhrt)
  double beginpause; // Wartezeit, bis Kamera sich eingestellt hat
  double starttime;  // nomen est omen
  int    highcolor;  // 24 Bit oder 8 Bit Farbtiefe
  int    calibrate;  // Farben werden auf Konsole ausgegeben

  int xmax[NUMCARS], xmin[NUMCARS], ymax[NUMCARS], ymin[NUMCARS];
  int xstep, ystep; 
  int videowdth, videohgth;
  double camdistance;
  
  int brightness, contrast, saturation, hue;  // settings for cam
  
  // Folgende werden nicht durch die Konfigdatei gesetzt
  double dzeitalt[NUMCARS];
  long	 runde[NUMCARS];
  double prgstarttime;
} GLOBALS;
#ifdef _DETECT_C_
GLOBALS DetectVar;
#else
extern GLOBALS DetectVar;
#endif


int DetectInit (int argc, char **argv);

void DetectCar (XImage *xImage);


#endif
